Name: H5Pget_external
Signature:
  herr_t `H5Pget_external`(hid_t `plist`, unsigned `idx`, size_t `name_size`, char `*name`, off_t `*offset`, hsize_t `*size` )

Purpose:
  Returns information about an external file.

Description:
  `H5Pget_external` returns information about an external file. The external file is specified by its index, `idx`, which is a number from zero to N-1, where N is the value returned by `H5Pget_external_count`. At most `name_size` characters are copied into the `name` array. If the external file name is longer than `name_size` with the null terminator, the return value is not null terminated (similar to `strncpy()`).

  If `name_size` is zero or `name` is the null pointer, the external file name is not returned. If `offset` or `size` are null pointers then the corresponding information is not returned.

Parameters:

hid_t `plist` | IN: Identifier of a dataset creation property list.
unsigned `idx` | IN: External file index.
size_t `name_size` | IN: Maximum length of `name` array.
char `*name` | OUT: Name of the external file.
off_t `*offset` | OUT: Pointer to a location to return an offset value.
hsize_t `*size` | OUT: Pointer to a location to return the size of the external file data.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.

Fortran90 Interface: h5pget_external_f

      SUBROUTINE h5pget_external_f(prp_id, idx, name_size, name, offset,bytes, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id     ! Property list identifier
        INTEGER, INTENT(IN) :: idx               ! External file index.
        INTEGER(SIZE_T), INTENT(IN) :: name_size ! Maximum length of name array
        CHARACTER(LEN=*), INTENT(OUT) :: name    ! Name of an external file
        INTEGER, INTENT(OUT) :: offset           ! Offset, in bytes, from the
                                                 ! beginning of the file to the
                                                 ! location in the file where
                                                 ! the data starts.
        INTEGER(HSIZE_T), INTENT(OUT) :: bytes   ! Number of bytes reserved in
                                                 ! the file for the data
        INTEGER, INTENT(OUT) :: hdferr           ! Error code
                                                 ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_external_f

History:

Release | C
1.6.4 | `idx` parameter type changed to unsigned.